apiVersion: apps/v1
kind: Deployment
metadata:
  name: db
spec:
  selector:
    matchLabels:
      app: mysql
      tier: mysql
      run: db
  strategy:
    type: Recreate
  replicas: {{ .Values.replicaCount }}
  template:
    metadata:
      labels:
        app: mysql
        tier: mysql
        run: db
    spec:
      containers:
        - name: db
          image: "{{ .Values.image.repositorydb }}:{{ .Values.image.tagdb }}"
          imagePullPolicy: "IfNotPresent"
          resources:
            requests:
              memory: "{{ .Values.resources.requests.memory }}"
              cpu: "{{ .Values.resources.requests.cpu }}"
            limits:
              memory: "{{ .Values.resources.limits.memory }}"
              cpu: "{{ .Values.resources.limits.cpu }}"
          ports:
            - name: db-listner
              containerPort: {{ .Values.ports.containerPortdb }}
              hostPort: {{ .Values.ports.hostPortdb }}
          env:
            - name: MYSQL_DATABASE
              valueFrom:
                secretKeyRef:
                  name: db-secrets
                  key: "{{ .Values.global.database }}"
            - name: DB_URL
              valueFrom:
                secretKeyRef:
                  name: db-secrets
                  key: "{{ .Values.global.url }}"
            - name: MYSQL_USER
              valueFrom:
                secretKeyRef:
                  name: db-secrets
                  key: "{{ .Values.global.user }}"
            - name: MYSQL_ROOT_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: db-secrets
                  key: "{{ .Values.global.password }}"

---
apiVersion: v1
kind: Service
metadata:
  name: mysql
  labels:
    app: mysql
spec:
  ports:
    - port: {{ .Values.ports.portdb }}
  selector:
    app: mysql
    tier: mysql
  
